Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234055 - CVE-2007-1351 Multiple font integer overflows (CVE-2007-1352)
Summary: CVE-2007-1351 Multiple font integer overflows (CVE-2007-1352)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86
Version: 3.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Søren Sandmann Pedersen
QA Contact: David Lawrence
URL:
Whiteboard: impact=important,reported=20070322,em...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-26 20:22 UTC by Josh Bressers
Modified: 2014-06-18 09:09 UTC (History)
3 users (show)

Fixed In Version: RHSA-2007-0125
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-03 19:15:35 UTC


Attachments (Terms of Use)
Proposed upstream patch (deleted)
2007-03-26 20:27 UTC, Josh Bressers
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0125 normal SHIPPED_LIVE Important: XFree86 security update 2007-04-03 19:15:10 UTC

Description Josh Bressers 2007-03-26 20:22:11 UTC
iDEFENSE has reported two font related integer overflows.

CVE-2007-1351 describes an integer overflow in the way X parses a BDF font file.

CVE-2007-1352 describes an integer overflow in thw way X parses a fonts.dir file.

Both of these flaws could allow a local attacker to gain elevated privileges.

Comment 1 Josh Bressers 2007-03-26 20:27:39 UTC
Created attachment 150950 [details]
Proposed upstream patch

Comment 5 Josh Bressers 2007-04-03 16:41:25 UTC
Lifting embargo

Comment 6 Red Hat Bugzilla 2007-04-03 19:15:35 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0125.html



Note You need to log in before you can comment on or make changes to this bug.